GuideLab API

Transcribe a voice attachment

Transcribe an audio attachment using OpenAI Whisper. The attachment may be a ready unsent upload claim owned by the current user or an attachment already sent in the conversation.

POST
/conversations/{id}/attachments/transcribe

Transcribe an audio attachment using OpenAI Whisper. The attachment may be a ready unsent upload claim owned by the current user or an attachment already sent in the conversation.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/conversations/550e8400-e29b-41d4-a716-446655440000/attachments/transcribe" \  -H "Content-Type: application/json" \  -d '{    "attachmentId": "string",    "dataProcessingConsent": true  }'
{  "transcript": "string"}
Empty
Empty
Empty
Empty
Empty
Empty